﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FillingColumn
{
    /// <summary>
    /// Логика взаимодействия для AddDataOfCardWindow.xaml
    /// </summary>
    public partial class AddDataOfCardWindow : Window
    {
        public AddDataOfCardWindow()
        {
            InitializeComponent();
            List<CardIssuer> CardIssuer = new List<CardIssuer>();
            CardIssuer.Add(new CardIssuer { NameCardIssuer = "Visa", CardIssuerID = 2});
            CardIssuer.Add(new CardIssuer { NameCardIssuer = "Master Card", CardIssuerID = 1 });
            CmbCardIssuer.ItemsSource = CardIssuer;
        }

        private void BtnAddCardData_Click(object sender, RoutedEventArgs e)
        {
            if (string.IsNullOrEmpty(TxtCardNumber.Text) || TxtCardNumber.Text.Any(char.IsLetter) == true)
            {
                MessageBox.Show("Не корректный номер карты", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }
            if (string.IsNullOrEmpty(TxtCardHolder.Text))
            {
                MessageBox.Show("Не указан держатель карты", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }
            RootDataOfCard bankCard = new RootDataOfCard()
            {
                CardHolder = TxtCardHolder.Text,
                NumberCard = TxtCardNumber.Text,
                IDCardIssuer = (CmbCardIssuer.SelectedItem as CardIssuer).CardIssuerID,
                CardExpDate = TxtCardExpDate.Text,
                IDCardType = 2,
                Balance = 100000
            };
            Helper.EnterBankCard = bankCard;
            MessageBox.Show("Данные добавлены", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
            this.Close();

        }
    }
}
